Subject: [apps-discuss] [Errata Rejected] RFC6902 (4419)

From: RFC Errata System <[email-masked]>
Date: Thu, 21 Jan 2016 05:01:07 -0800 (PST)

The following errata report has been rejected for RFC6902,
"JavaScript Object Notation (JSON) Patch".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6902&eid=4419

--------------------------------------
Status: Rejected
Type: Editorial

Reported by: Brett Zamir <[email-masked]>
Date Reported: 2015-07-17
Rejected by: Barry Leiba (IESG)

Section: A.14

Original Text
-------------
An example target JSON document:

   {
     "/": 9,
     "~1": 10
   }

   A JSON Patch document:

   [
     {"op": "test", "path": "/~01", "value": 10}
   ]

   The resulting JSON document:

   {
     "/": 9,
     "~1": 10
   }

Corrected Text
--------------
Proper JSON Pointer escaping should occur when resolving
paths for application to the target document.

An example target JSON document:

   {
     "/": 9,
     "~1": 10
   }

   A JSON Patch document:

   [
     {"op": "add", "path": "/~01", "value": 11}
   ]

   The resulting JSON document:

   {
     "/": 9,
     "~1": 11
   }

Notes
-----
At http://tools.ietf.org/html/rfc6902#appendix-A.14 , I have a few issues:

1. Even though JSON Pointer is referenced elsewhere, I think reference ought to be made here to JSON Pointer in order to clarify what meaning "escape ordering" has here.
2. The operation indicated in this section is "test" which is not documented in its respective sections as returning any kind of document at all. I believe "add" or "replace" must have been the intended operation instead. And to make clear that the value of key "~1" would have actually been affected by such a modifying operation, the value in the result ought to differ from that in the original document.
 --VERIFIER NOTES-- 
The example is correct, but could use clarification.  The authors have noted this and put it in their JSON Patch issues list here: https://github.com/json-patch/json-patch-tests/issues/22

--------------------------------------
RFC6902 (draft-ietf-appsawg-json-patch-10)
--------------------------------------
Title               : JavaScript Object Notation (JSON) Patch
Publication Date    : April 2013
Author(s)           : P. Bryan, Ed., M. Nottingham, Ed.
Category            : PROPOSED STANDARD
Source              : Applications Area Working Group APP
Area                : Applications
Stream              : IETF
Verifying Party     : IESG